2009-9-11 V1.1

新增：
现在支持建立多个桌面窗口，例如建立多个天气窗口，每个可以有自己的城市等设置
全新的新建任务界面，更易用

工具中增加世界时间
模拟时钟增加时区选择
模拟时钟增加显示日期
模拟时钟增加显示地名
任务执行程序增加参数设置
任务等列表可以保存列宽度
任务增加参数列，可以显示提醒参数
新增交流论坛

改进：
更漂亮的天气图标
自定义快速提醒，支持输入内容和参数
同步时间线程方式，不再卡住界面
桌面日程显示备忘的方式
大幅优化主程序大小
启动时自动备份任务等采用日期时间方式
今日历史显示方式改进
系统热键放到主窗口中配置，更方便
桌面窗口右键设置窗口状态统一化

修复：
修复天气在线网站改版导致的天气预报问题
简洁模式下天气提示有时显示不正常的问题
桌面天气明天日期字体可能的显示问题


其它改进

2009-8-31 V1.02

新增：
计划任务增加整点半点类型
待办任务可选显示在桌面日程中

改进：
检测更新对话框显示效果
桌面日程标题中显示任务数

修复：
任务过期时，可能下次运行时间不正确问题
日历字体颜色无效问题
桌面日程在待办多余一行时的显示问题
提醒任务打盹模式选择继续提醒次数时显示成分钟的问题

2009-8-25 V1.01

新增：
回收站增加清空按钮
托盘右键菜单增加定时关机和挡屏休息
计划任务增加是否在桌面日程里显示选项

改进：
新建便签默认黄色背景色

修复：
新建每分钟任务时，默认1分钟变10分钟的问题
日历备忘中，添加到提醒任务时，日期错误的问题

其它改进

2009-8-20 V1.0

新增：
日历农历以及星期字体\高度等配置

改进：
日历闪烁问题

修复：
自动更新的问题
天气预报不准确的问题

2009-8-13 0.99
正式改名为 时间专家(KingTime)

新增：
计划任务增加发送邮件功能
任务过滤树增加最近运行和回收站
默认开启任务过滤树
托盘时钟显示时可以配置显示主托盘图显示
托盘时钟显示时可以配置双击时动作
托盘时钟显示提示
托盘右键菜单增加显示任务管理器功能
桌面天气里增加跳转到城市和刷新配置
提醒窗口可以设置声音播放次数
桌面日程增加项目间距设置
自定义快速提醒时间
自定义同步时间服务器
计划任务在开始时检测是否过期

改进：
桌面日程新的绘制方式，现在可以完全透明，并且更美观协调
报时采用线程方式,报时时候主界面不再卡
桌面天气在采用非系统默认字体时的显示效果
新建任务下拉条双击选中改为单击选中
启动时过期的倒计时任务不再初始化
编辑任务后不再改上次运行时间


修复：
可能无法执行错过的任务的问题
时间同步功能在某些服务器上的问题，现在速度更快，支持更多服务器
桌面天气明日字体配置无效的问题
在过滤面板显示时可能的任务无法执行问题
计划任务里执行程序功能在执行某些程序时可能的问题
提醒任务在声音文件不存在时主程序可能崩溃的问题

其它改进

2009-7-25 0.98
新增：
代理服务器认证功能
桌面天气界面字体配置

改进：
去除更新天气时的声音
新建提醒改为默认选中自动退出
新建提醒改为默认10分后自动退出

修复：
全屏状态下自动更新天气会弹出系统任务栏的问题

其它改进

2009-7-7 0.97
新增：
桌面模拟时钟图像指针
代理服务器设置
任务增加复制删除/文件目录功能
报时声音增加敲钟和自定义声音
自动清理物理内存选项
任务和待办列表外观设置

改进：
今日和桌面日程显示完整备忘
报时声音可以预览
滑动条样式
检测网络是否连接，改进卡机问题
天气和历史今日改为单独进程获取，改进卡机问题
日历节日显示如果超长，则显示部分
程序代码优化
优化CPU占用

修复：
天气显示的问题
待办状态检测错误的问题
过滤面板显示时，桌面日程显示缺少的问题
右键点击或者热键时某些窗口不置顶问题
修复可能的内存泄露

2009-6-17 0.95
新增：
时钟缩放，可以自定义大小
任务列表右键菜单

修复：
天气无法显示的问题

2009-6-11 0.94
新增：
桌面日程窗口圆角
可选强制关机
可以选择报时音量限制

修复：
今日页面风力获取的问题

2009-5-20 0.93
新增：
更强大的自动更新对话框，提供自动更新和手动更新两种方式
菜单图标
今日页面复制日期功能
计划任务新增桌面截图和墙纸更换功能
计划任务运行后自删除功能
主窗口设置密码功能
增加菜单栏
更多热键设置
历史上的今天增加自动检测/刷新/工具栏(上一天下一天今天跳转刷新)
桌面日程增加显示日期节日设置
chm格式帮助，更直观
检测更新对话框显示详细更新

改进：
工具栏图标缩小，更美观协调

修复：
菜单里退出取消时也退出的问题
挡屏休息倒计时0秒时无法正确执行的问题
快速提醒的问题
提醒任务某些选项保存问题
新事件按钮无响应问题
修复指定时间、倒计时、开机延时计划任务的问题
从休眠中恢复时，某些任务可能失效的问题
无法自动同步时间的问题
点关于，检测更新时，更新提示框没有置顶的问题
日历备注无法回车换行问题
关于页面网站邮箱无响应问题
任务导出导入出错的问题
挡屏休息无法设置0秒问题

2009-5-6 0.91
新增：
计划任务新增每隔小时类型
计划月/年/指定时间类型增加农历设置
计划任务增加静音/取消静音/清除临时文件等功能
暂时禁用热键功能
日期计算工具
历史上的今天功能
日志功能
日历增加简单表头格式设置

改进：
新建提醒时，声音文件改为下拉列表，可以选择历史文件
计划开始时间如果大于当前时间，则计划的开始时间为选择的开始时间
计划列表执行方式显示更详细
挡屏休息增加透明度和屏蔽键鼠设置
天气获取改进
优化内存和CPU占用

修正：
存在老版本任务时，启动时报错的问题
第一次打开选项页面，热键列表空白的问题
修复每周任务到时时，下次可能不执行的问题
日历有时向左偏移的问题
日历密码无法确定的问题
获取天气时自动跳转到今日页面的问题

2009-4-22 V0.9
新增：
计划任务增加全新任务过滤功能
计划任务增加新的时间段限制功能
计划任务增加关闭开启服务功能
计划任务每天类型增加间隔天数设置
便签添加字体设置
任务列表增加任务类型列

改进:
彻底解决CPU占用稍高的问题
改进的天气预报获取算法
更快的启动速度和运行速度
各个桌面窗口和选项采用单独窗口配置
界面调整，更美观大方
提醒改进打盹模式功能，更为简洁
任务中关闭进程可以手动输入进程名称并自动定位
帮助页面更直观易看

修复：
修复热键可能的问题
修复新建便签时背景色没有应用的问题
修复时钟指针不能修改的问题
修复桌面日程不及时刷新的问题
修复单击日历今天时显示月份问题

其它修改

2009-4-2 V0.88
新增：
新增桌面显示日程功能
增加关闭天气预报选择
新建便签时采用对话框界面
挡屏休息增加倒计时提醒时间设置
日历增加向前向后跳转指定天数功能
待办删除增加确认提示

改进:
新建提醒配置界面修改打盹模式配置
待办现在可以多选删除
优化速度和资源占用
界面一些调整

修复：
修复日历跳转时背景显示问题
修复日历背景更换时显示移位的问题
修复天气无透明度配置的问题
修复有时候时钟不能置顶的问题
修复时钟右键菜单关闭窗口的问题
修复检测更新的一个问题
修复自定义托盘时钟星期格式的问题
其它小修复

2009-3-16 V0.87
新增：
增加便签功能，支持背景色透明度调节
新增替换系统托盘时钟功能,超强自定义
托盘右键菜单增加快速提醒功能
提醒增加声音类型选择
报时声音增加喇叭声音类型
日历增加字体和背景月份字体设置
天气简洁样式增加字体配置功能
新增今日界面天气城市和温度字体设置功能
更为漂亮的菜单风格

改进：
日历提示节日和备注合一
界面采用左列表样式
提醒界面采用缩进方式配置
选项界面的调整
天气获取更及时快速
更低的CPU占用

修复：
修复有时候实况天气温度零上显示为零下问题
修复天气面板切换有时候出现出现绿色的问题
修复某些机器上无法关机的问题


2009-3-3 V0.86
新增：
全新的全局热键配置，支持系统控制等更多功能
今日页面新增今日任务显示
今日页面新增今日事件显示
今日页面增加跳转到天气网站连接
今日页面天气点右键可以复制
计划任务过滤新加今日、过期、将来类型过滤
计划任务每周类型现在可以显示下次运行时间
计划任务增加增大或者减小音量功能
桌面天气增加总在最前面和鼠标经过隐藏功能
桌面天气新增透明度设置
增加启动时检测更新功能
增加自动同步时间功能
增加只运行一个实例可选功能
增加报时时间段限制功能

改进：
桌面天气窗口更改样式时不再需要重启软件
日历背景现在支持jpg图片
日历背景图现在可以支持任意大小
检测更新更快速，不会卡住界面
右下角图标上的日期单日时改为单数字显示

修复：
修复标签字体不能响应颜色样式的问题
修复总在最前面选项保存的问题
修复版本升级后某些提醒不再执行，需要新建的问题(现在点击确定即可)
修复某些机器上暂停/继续报时按钮状态不正确的问题
修复某些系统上报告null is not a valid integer value的问题
修复某些情况下天气获取不到的问题
修复一个检测更新可能出现的错误
修复某些机器上出现方块字的问题

2009-2-18 V0.85
新增：
时钟“鼠标经过隐藏”功能现在可以按住Ctrl键暂时屏蔽，方便移动和点击
添加模拟钟中点选项
标签样式增加字体选择
天气面板右键增加刷新和关闭
天气面板双击打开今日页面

改进：
桌面模拟钟采用反锯齿方式绘制，更加美观
大幅优化软件大小
修改天气获取方法，更小资源占用和准确，并且可以无法获取到时多次重试
天气获取间隔限制改为更短的30分钟
天气面板显示优化

修复：
修复检查更新无法定位到网页的问题
修复无法保存暂停报时状态的问题
修复日历显示区域字体修改时的问题

2009-2-3 V0.84
新增：
选项窗口重排，增加多种外观样式选择
添加挡屏休息定时任务
添加任务时间段限制
添加开机延时任务

改进：
任务编辑窗口任务下拉改用树形，更直观
天气面板字体显示位置重排和美化
检查更新算法的一些更改
改进一些在Vista下的显示问题

修复：
修复天气不显示在桌面上时，在主界面也不显示的问题
修复模拟钟指针长度宽度不能保存的问题
修复Vista下提示日期不正确的问题
修复帮助界面邮件和网址的显示问题

2009-01-20 V0.83
新增：
天气窗口新增三种漂亮的面板
天气窗口增加嵌入桌面功能
计划任务添加每年类型
计划任务在软件启动时检查下次运行有效性
提醒窗口震动功能
日历每日信息添加密码功能
日历界面提示完整节日
检查更新现在可以比较版本号，免去每次查看页面的麻烦

改进：
改进桌面窗口拖动时反映缓慢的现象
改进日历界面反应慢的现象，现在可以快速响应
倒计时任务现在可以记忆时间设置
今日页面显示天气的调整

修复：
修复编辑待办项目后，点分类按钮时显示不正确的问题
修复特定任务停止后，没有停止图标的问题
修复在经典主题模式下某些控件不透明的问题
修复今日页面腊月显示成蜡月的问题

2009-01-10 V0.82
漂亮的界面，改掉原来朴素的外观
状态栏各项内容说明
任务和待办增加分类按钮
日历增加上下月年按钮
日历增加节日显示，同时主界面显示节日（如果当天是的话）
日历备注窗口添加“添加到提醒任务”选项
修复某些选项无法保存的问题
修复任务栏图标提升的问
大幅减小安装包大小  
其它界面小的调整

2008-12-24 V0.8
新加数字时钟，自由选择钟面和数字样式，现在可以自由组合模拟时钟和数字时钟
模拟时钟增加更多钟面选择
新加托盘图标显示日期功能
提醒窗口聚焦，现在可以弹出时按键关闭，不需要先鼠标点击
帮助页面更新（关于、帮助、最近更新三合一）
修正偶尔天气窗口CPU100%占用问题
修正无网络连接时启动时间漫长的问题
大幅度提高启动速度
状态栏显示时间

2008-12-08 V0.73
修正一个特定任务执行提示问题的问题
修正每周任务停止后继续执行的问题

2008-11-24 V0.72
增加TODO待办功能，支持密码加密
提醒任务增加分钟限制
关于页面修改
修改界面图标
修复上版时钟指针不能定制bug
右键菜单重排

2008-11-12 V0.71
标签样式更改为更大更直观
计划任务设置增加图标
日历增加双击添加日志功能
日历增加背景图片和颜色选择功能
关于页面增加网站邮箱和检测更新

2008-10-22 V0.7
修改为标签样式页面
计划任务支持更多类型
计划时间设置独立为一个便签页
增加执行错过计划功能
选项改为左边列表样式
时钟支持更多设置(指针透明度)

2008-09-10 V0.6
增加桌面模拟时钟
去掉不成熟的皮肤支持
增加在桌面上显示天气功能
右键添加天气和时钟配置

2008-08-29 V0.5
增加今日页面
修改为左边选择面板功能
增加天气预报功能
增加天气配置
增加刷新天气按钮
提醒增加取消后再隔时间和继续次数设置
提醒增加测试功能
设置页改为标签样式
支持皮肤选择功能
增加启动时间区域配置

2008-08-22 V0.4
提醒和计划任务合并
提醒增加提醒声音 自动关闭 打盹功能
计划增加每天每月倒计时功能
计划任务增加重启注销挂起功能
修改按钮排列和位置
增加设置标签
增加点击右上角关闭时选项
增加日期显示区域配置
增加日历背景月份和网格星期显示配置
增加状态栏

2008-08-04 V0.3
主界面变更为标签页样式
增加当前日期和开机时间显示
增加报时声音选择
增加整点报时明星声音选择
增加暂停/继续报时热键
增加提醒标签
增加计划任务标签
增加日历，支持公历农历
增加时间同步功能
增加关于标签滚动字幕

2008-04-27 V0.2
支持开机自启动和启动后最小化
修改热键定制方式

V0.1
初始版本，支持热键报时，整点半点报时